//OnImpact
//by Wrapperup
//Triggers the onImpact event when you hit a brick really fast.

//Register event...
registerInputEvent(FxDTSBrick,"onImpact","Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame");

//Package
package Event_onImpact
{
	//Defining function
	function Armor::onImpact(%this,%player,%col,%pos,%speed)
	{
		//Parent onImpact
		parent::onImpact(%this,%player,%col,%pos,%speed);
		//Does the player's client exist?
		if(isObject(%player.client))
		{
			//Is the object we just hit a brick?
			if(%col.getClassName() $= "FxDTSBrick")
			{
				//Set the targets
				$InputTarget_Self = %col;
				$InputTarget_Player = %player;
				$InputTarget_Client = %player.client;
				$InputTarget_MiniGame = getMiniGameFromObject(%player.client);
				
				//Trigger input event
				%col.processInputEvent("onImpact",%player.client);
			}
		}
	}
};

//Activate Package
activatePackage(Event_onImpact);